function drawLabels(table_pos)

x1 = double(table_pos(1,2));
y1 = double(table_pos(1,1));
x2 = double(table_pos(2,2));
y2 = double(table_pos(2,1));

%rectangle('Position',[y1, x1, y2-y1,x2-x1], ...
%    'EdgeColor','r', 'LineStyle', ':', 'LineWidth', 1);

letters = 'ABCDEFGH';
numbers = '87654321';

% rectangle('Position',[480, 258, 25, 25], ...
%     'FaceColor','r', 'Curvature', 1 );

for i=1:1:8
    text(y1-3, x1 + (x2-x1)/16 + (x2-x1)*(i-1)/8, numbers(i), ...
        'HorizontalAlignment','right', ...
        'FontWeight', 'bold');
    text(y1 + (y2-y1)/16 + (y2-y1)*(i-1)/8, x2+5 , letters(i), ...
        'HorizontalAlignment','center', ...
        'VerticalAlignment','top', ...
        'FontWeight', 'bold');
end;

return;